Bug 1012022 - satellite 6 needs a distinct version indicator
satellite 6 needs a distinct version indicator
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.2
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Petr Chalupa
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 10:53 EDT by Mike McCune
Modified: 2015-05-04 21:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:08:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (143.29 KB, image/png)
2013-11-05 16:34 EST, Og Maciel
no flags Details
Screenshot (127.94 KB, image/png)
2013-11-05 16:47 EST, Og Maciel
no flags Details

  None (edit)
Description Mike McCune 2013-09-25 10:53:40 EDT
There is no way to easily determine the version of Satellite 6, currently the About page only shows the katello RPM version:

System Information:
...
Ruby	1.9.3
Version	1.4.6-1.git.149.fc0b3ea.el6

this RPM really has no relationship to the release version of Satellite 6 and we need a clear way to determine if the running install is:

Satellite 6.0.2 (MDP2)
Satellite 6.0.3 (MDP3)
Satellite 6.0.4 (GA)

we could add a file in /etc/satellite-release or something similar
Comment 2 Dominic Cleal 2013-09-26 13:54:23 EDT
Please clone this over to the Foreman component too if you decide to update the About page, we can duplicate the solution there (no need if it's just the installer and a file in /etc).
Comment 3 Sam Kottler 2013-09-30 13:27:26 EDT
I like the idea of writing a file to the disk with the version information. Maybe /etc/satellite6/version?
Comment 4 Petr Chalupa 2013-10-21 06:18:11 EDT
I've fixed Katello configuration so the version can be set in katello.yml, see https://github.com/Katello/katello/pull/3211
Comment 5 Petr Chalupa 2013-10-24 04:07:30 EDT
Fixed in 4119787ece0c675fe9f56e8b2fe7c15f6c77a6a8
Comment 11 Jason Montleon 2013-10-25 16:52:53 EDT
correction, Comment 5/PR.
Comment 19 Og Maciel 2013-11-05 16:34:53 EST
Created attachment 820019 [details]
Screenshot

The About page shows the version now.
Comment 20 Og Maciel 2013-11-05 16:37:09 EST
Verified:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-27.el6sat.noarch
* foreman-compute-1.3.0-27.el6sat.noarch
* foreman-libvirt-1.3.0-27.el6sat.noarch
* foreman-postgresql-1.3.0-27.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-61.el6sat.noarch
* katello-all-1.4.6-61.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-28.el6sat.noarch
* katello-cli-common-1.4.3-28.el6sat.noarch
* katello-common-1.4.6-61.el6sat.noarch
* katello-configure-1.4.7-7.el6sat.noarch
* katello-configure-foreman-1.4.7-7.el6sat.noarch
* katello-foreman-all-1.4.6-61.el6sat.noarch
* katello-glue-candlepin-1.4.6-61.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-61.el6sat.noarch
* katello-glue-pulp-1.4.6-61.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.27.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.27.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.27.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.27.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.27.beta.el6sat.noarch
* pulp-server-2.3.0-0.27.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.23-2.el6sat.noarch
* signo-katello-0.0.23-2.el6sat.noarch
Comment 21 Og Maciel 2013-11-05 16:47:34 EST
Created attachment 820024 [details]
Screenshot

Foreman's About page
Comment 22 Bryan Kearney 2014-04-24 13:08:48 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.